# HaruDoc::loadJPEG

(PECL haru >= 0.0.1)

HaruDoc::loadJPEG — Load a JPEG image

### Description

HaruDoc::loadJPEG ( string `$filename` ) : object

Loads the specified JPEG image.

### Parameters

`filename`

  A valid JPEG image file.

### Return Values

Returns a new HaruImage instance.

### Errors/Exceptions

Throws a HaruException on error.

### See Also

- HaruDoc::loadPNG() - Load PNG image and return HaruImage instance
- HaruDoc::loadRAW() - Load a RAW image